Bug 1791022 - 4.3 operator should remove 4.4-only resources on downgrade from 4.4
Summary: 4.3 operator should remove 4.4-only resources on downgrade from 4.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: service-ca
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Maru Newby
QA Contact: Wei Sun
URL:
Whiteboard:
Depends On: 1791188
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-14 17:18 UTC by Maru Newby
Modified: 2020-03-24 14:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-24 14:32:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift service-ca-operator pull 93 0 None closed Bug 1791022: Ensure removal of 4.4-only resources on downgrade to 4.3 2020-05-13 18:11:18 UTC
Red Hat Product Errata RHBA-2020:0858 0 None None None 2020-03-24 14:32:48 UTC

Description Maru Newby 2020-01-14 17:18:59 UTC
Where releases of the service ca operator deployed each controller separately, 4.4 switched to deploying all service ca controllers together to simplify maintenance [1]. This change requires that the 4.3 operator know how to remove the new 4.4-only resources to minimize resource usage after a downgrade.

1: https://github.com/openshift/service-ca-operator/pull/89

Comment 5 errata-xmlrpc 2020-03-24 14:32:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.